MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::RedundantCartesianIter Class Reference

RedundantCartesianIter objects loop through all possible combinations of a given number of axes. More...

`#include <cartiter.h>`

Inheritance diagram for sc::RedundantCartesianIter:

List of all members.

## Public Member Functions

| RedundantCartesianIter (int l)
| Create a object for the given angular momentum.
virtual int | bfn ()=0
| Return the current Cartesian basis function number.
void | start ()
| Initialize the iterator.
void | next ()
| Move to the next combination of axes.
| operator int ()
| Returns nonzero if the iterator currently hold valid data.
int | a ()
| The current exponent of x.
int | b ()
| The current exponent of y.
int | c ()
| The current exponent of z.
int | l ()
| The angular momentum.
int | l (int i)
| Returns a() if i==0, b() if i==1, and c() if i==2.
int | axis (int i)
| Return the i'th axis.

## Detailed Description

RedundantCartesianIter objects loop through all possible combinations of a given number of axes.

This is used to compute the transformation matrices that maps a set of Cartesian functions to another set of Cartesian functions in a rotated coordinate system.

The documentation for this class was generated from the following file:

- cartiter.h